Page MenuHomePhabricator

UserTest::testAllRightsWithMessage() should be a structure test so it runs for extensions too
Closed, ResolvedPublic

Description

Right now UserTest::testAllRightsWithMessage() only runs with MediaWiki core unit tests. To make it run for all extensions too, we should make it a structure test (tests/phpunit/structure).

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Aug 16 2016, 9:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 9:17 PM
Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Jul 7 2017, 5:11 AM

Change 448155 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Check for right-* messages as a structure test

https://gerrit.wikimedia.org/r/448155

Jdforrester-WMF closed this task as Resolved.Jul 26 2018, 10:08 PM
Jdforrester-WMF assigned this task to Legoktm.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Yay.

Change 448155 merged by jenkins-bot:
[mediawiki/core@master] Check for right-* messages as a structure test

https://gerrit.wikimedia.org/r/448155